You need to enable JavaScript to run this app.
文档中心
火山方舟

火山方舟

复制全文
下载 pdf
Skills
设置技能内容保护
复制全文
下载 pdf
设置技能内容保护
POST https://ark.cn-beijing.volces.com/api/v3/skills/{skill_id}​
设置是否对自定义技能开启内容保护。启用内容保护后,运行技能时,方舟平台会注入保护指令,降低技能内容被直接输出的风险。​
鉴权​
本接口支持鉴权方式如下,详情请参见 Base URL 及鉴权。​
  • API Key 鉴权,请在 API Key 管理 页面,获取长效 API Key。​
​​
请求参数​
Path 参数​
skill_id string 必选 | 技能 ID​
​
​
Body 参数​
protection_enabled boolean | 内容保护开关​
​
​
响应参数​
created_at integer | 创建时间​
​
display_title string | 展示名称​
​
id string | 技能 ID​
​
latest_version string | 最新版本​
​
object string | 资源类型​
​
protection_enabled boolean | 内容保护开关​
​
source string | 技能来源​
​
updated_at integer | 技能更新时间​
​
description string | 技能描述​
​
name string | 技能名称​
​
​

Request

curl -sS --fail-with-body "https://ark.cn-beijing.volces.com/api/v3/skills/<SKILL_ID>" \
  -H "Authorization: Bearer $ARK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"protection_enabled": true}'

Response

{
  "id": "<SKILL_ID>",
  "object": "skill",
  "created_at": 1790072430,
  "description": "提取文档中的结构化信息",
  "latest_version": "1",
  "display_title": "文档处理",
  "source": "custom",
  "updated_at": 1790073000,
  "name": "document-helper",
  "protection_enabled": true
}
最近更新时间:2026.10.28 19:53:18
这个页面对您有帮助吗?
有用
有用
无用
无用